Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v06
Class EPPFeeCommand

    java.lang.Object
      com.verisign.epp.codec.fee.v06.EPPFeeCommand

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeCommand

extends java.lang.Object
implements EPPCodecComponent

The command along with the optional phase and sub-phase that the fee is associated with.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTR_PHASE` OPTIONAL phase attribute name that defines the phase of the command.
`static java.lang.String` | `ATTR_SUBPHASE` OPTIONAL subphase attribute name that defines the sub-phase of the command.
`static java.lang.String` | `ELM_LOCALNAME` Constant for the phase local name
`static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)
`static java.lang.String` | `PHASE_CLAIMS` Trademark claims as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
`static java.lang.String` | `PHASE_CUSTOM` Post launch phase that is also referred to as "steady state".
`static java.lang.String` | `PHASE_LANDRUSH` Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.
`static java.lang.String` | `PHASE_OPEN` Post launch phase that is also referred to as "steady state".
`static java.lang.String` | `PHASE_SUNRISE` Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.

Constructor Summary
`EPPFeeCommand()` Default constructor.
`EPPFeeCommand(java.lang.String aCommand)` Create `EPPFeeCommand` instance with a defined command value.
`EPPFeeCommand(java.lang.String aCommand, java.lang.String aPhase)` Create `EPPFeeCommand` instance with a defined command and phase value.
`EPPFeeCommand(java.lang.String aCommand, java.lang.String aPhase, java.lang.String aSubPhase)` Create `EPPFeeCommand` instance with a defined command, phase, and sub-phase value.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPFeeCommand` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPFeeCommand` element aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPFeeCommand` instance.
`boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPFeeCommand` compare.
`java.lang.String` | `getCommand()` Gets the command value.
`java.lang.String` | `getPhase()` Gets the OPTIONAL phase value, which should match one of the `PHASE` constants.
`java.lang.String` | `getSubPhase()` Gets the OPTIONAL sub-phase value.
`boolean` | `hasCommand()` Is the command defined?
`boolean` | `hasPhase()` Is the phase defined?
`boolean` | `hasSubPhase()` Is the sub-phase defined?
`void` | `setCommand(java.lang.String aCommand)` Sets the command value.
`void` | `setPhase(java.lang.String aPhase)` Sets the OPTIONAL phase value.
`void` | `setSubPhase(java.lang.String aSubPhase)` Sets the OPTIONAL sub-phase value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PHASE_SUNRISE

    public static final java.lang.String PHASE_SUNRISE

  Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.

  See Also:
    Constant Field Values

### PHASE_LANDRUSH

    public static final java.lang.String PHASE_LANDRUSH

  Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.

  See Also:
    Constant Field Values

### PHASE_CLAIMS

    public static final java.lang.String PHASE_CLAIMS

  Trademark claims as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.

  See Also:
    Constant Field Values

### PHASE_OPEN

    public static final java.lang.String PHASE_OPEN

  Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.

  See Also:
    Constant Field Values

### PHASE_CUSTOM

    public static final java.lang.String PHASE_CUSTOM

  Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.

  See Also:
    Constant Field Values

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the phase local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the phase qualified name (prefix and local name)

  See Also:
    Constant Field Values

### ATTR_PHASE

    public static final java.lang.String ATTR_PHASE

  OPTIONAL phase attribute name that defines the phase of the command.

  See Also:
    Constant Field Values

### ATTR_SUBPHASE

    public static final java.lang.String ATTR_SUBPHASE

  OPTIONAL subphase attribute name that defines the sub-phase of the command.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeCommand

    public EPPFeeCommand()

  Default constructor. The command value MUST be set using the `setCommand(String)` method.

### EPPFeeCommand

    public EPPFeeCommand(java.lang.String aCommand)

  Create `EPPFeeCommand` instance with a defined command value.

  Parameters:
    `aCommand` - Command value.

### EPPFeeCommand

    public EPPFeeCommand(java.lang.String aCommand,
                         java.lang.String aPhase)

  Create `EPPFeeCommand` instance with a defined command and phase value.

  Parameters:
    `aCommand` - Command value.
    `aPhase` - Phase value using one of the `PHASE` constants.

### EPPFeeCommand

    public EPPFeeCommand(java.lang.String aCommand,
                         java.lang.String aPhase,
                         java.lang.String aSubPhase)

  Create `EPPFeeCommand` instance with a defined command, phase, and sub-phase value.

  Parameters:
    `aCommand` - Command value.
    `aPhase` - Phase value using one of the `PHASE` constants.
    `aSubPhase` - Sub-phase value

Method Detail

### hasCommand

    public boolean hasCommand()

  Is the command defined?

  Returns:
    `true` if the command is defined; `false` otherwise.

### getCommand

    public java.lang.String getCommand()

  Gets the command value.

  Returns:
    Command value if defined; `null` otherwise.

### setCommand

    public void setCommand(java.lang.String aCommand)

  Sets the command value.

  Parameters:
    `aCommand` - Command value.

### hasPhase

    public boolean hasPhase()

  Is the phase defined?

  Returns:
    `true` if the phase is defined; `false` otherwise.

### getPhase

    public java.lang.String getPhase()

  Gets the OPTIONAL phase value, which should match one of the `PHASE` constants.

  Returns:
    Phase value if defined; `null` otherwise.

### setPhase

    public void setPhase(java.lang.String aPhase)

  Sets the OPTIONAL phase value.

  Parameters:
    `aPhase` - Phase value, which should be one of the `PHASE` constants.

### hasSubPhase

    public boolean hasSubPhase()

  Is the sub-phase defined?

  Returns:
    `true` if the phase is defined; `false` otherwise.

### getSubPhase

    public java.lang.String getSubPhase()

  Gets the OPTIONAL sub-phase value.

  Returns:
    Sub-phase value if defined; `null` otherwise.

### setSubPhase

    public void setSubPhase(java.lang.String aSubPhase)

  Sets the OPTIONAL sub-phase value.

  Parameters:
    `aSubPhase` - Sub-phase value.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPFeeCommand` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPFeeCommand`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPFeeCommand` element aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPFeeCommand` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPFeeCommand` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the `EPPFeeCommand` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPFeeCommand` instance.

### equals

    public boolean equals(java.lang.Object aObject)

  Implements a deep `EPPFeeCommand` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPFeeCommand` instance to compare with
  Returns:
    `true` if equal; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.